package com.xh.common.util;

import java.util.Arrays;
import java.util.List;

public class NumberTextUtil {
    public static void main(String[] arg) {
        List<String> numbers = Arrays.asList(
                "1",
                "123",
                "123456789",
                "101",
                "1001",
                "100000",
                "1000300000250000004",
                "205734908570001",
                "1348900"
        );

        for(String number : numbers){
            System.out.println(NumberTextUtil.getText(number, NumberText.Lang.ChineseSimplified));
        }
        System.out.println("---");
        for(String number : numbers){
            System.out.println(NumberTextUtil.getText(number, NumberText.Lang.English));
        }
    }

    public static String getText(String text, NumberText.Lang lang) {
        return NumberText.getInstance(lang).getText(text);
    }
}
