package com.xh.common.util;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.text.Spannable;
import android.text.SpannableString;
import android.text.TextPaint;
import android.text.method.LinkMovementMethod;
import android.text.style.ClickableSpan;
import android.view.View;
import android.widget.TextView;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class UiUtil {
	public static void intUrl(final Context context,final TextView textView,String content,final int color){
		SpannableString spannableStringResult = new SpannableString(content);
		String reg = "(?is)(?<!')(http://[/\\.\\w\\?\\=\\&]+)";
		Pattern p = Pattern.compile(reg);
		Matcher m = p.matcher(content);
		while(m.find()){
			final String url = m.group();
			final int start = m.start();
			final int end = m.end();
			spannableStringResult.setSpan(new ClickableSpan() {
				@Override
				public void updateDrawState(TextPaint ds) {
					ds.setColor(color);//设置链接颜色
			        ds.setUnderlineText(false);//去掉下划线
				}
				@Override
				public void onClick(View widget) {
					Uri uri = Uri.parse(url);  
					Intent intent = new Intent(Intent.ACTION_VIEW,uri);
					context.startActivity(intent); //启动浏览器
				}
			}, start, end, Spannable.SPAN_EXCLUSIVE_EXCLUSIVE);
		}
		textView.setText(spannableStringResult);
		textView.setMovementMethod(LinkMovementMethod.getInstance());
	}
}
