package com.xh.common.util;

import android.util.Log;

public class BaseLogUtil {
    public static String TAG = "BASELOG";

    public static void i(String msg) {
        if (XhTestUtil.IsBaseLogTest) {
            Log.i(TAG, msg);
        }
    }

    public static void d(String msg) {
        if (XhTestUtil.IsBaseLogTest) {
            Log.d(TAG, msg);
        }
    }

    public static void e(String msg) {
        if (XhTestUtil.IsBaseLogTest) {
            Log.e(TAG, msg);
        }
    }

    public static void w(String msg) {
        if (XhTestUtil.IsBaseLogTest) {
            Log.w(TAG, msg);
        }
    }
}
